Summary:	A free open source WYSIWYG ebook editor
Summary(de):	Ein WYSIWYG Ebook-Editor
Name:		sigil
Version:	0.9.9
Release:	%mkrel 2
Url:		http://code.google.com/p/sigil/
Source0:	https://github.com/Sigil-Ebook/Sigil/releases/download/%{version}/Sigil-%{version}.tar.xz
License:	GPLv3 and CC-BY-SA
Group:		File tools
BuildRequires:	cmake
BuildRequires:	%{_lib}qt5core-devel
BuildRequires:	%{_lib}qt5gui-devel
BuildRequires:	%{_lib}qt5network-devel
BuildRequires:	%{_lib}qt5printsupport-devel
BuildRequires:	%{_lib}qt5concurrent-devel
BuildRequires:	%{_lib}qt5webkitwidgets-devel
BuildRequires:	%{_lib}qt5webkit-devel
BuildRequires:	%{_lib}qt5widgets-devel
BuildRequires:	%{_lib}qt5xml-devel
BuildRequires:	%{_lib}qt5widgets-devel
BuildRequires:	%{_lib}boost-devel
BuildRequires:	%{_lib}hunspell-devel
BuildRequires:	libqt5svg-devel
BuildRequires:	libqt5help-devel
BuildRequires:	libqt5xmlpatterns-devel
BuildRequires:	libqt5dbus-devel
BuildRequires:	libqt5multimedia-devel
BuildRequires:	libqt5multimediawidgets-devel
BuildRequires:	libqt5sensors-devel
BuildRequires:	qtmultimedia5
BuildRequires:	qttools5
BuildRequires:	icu-data
BuildRequires:	libxerces-c-devel >= 3.1
BuildRequires:	pcre-devel >= 8.31
BuildRequires:	zlib-devel 
BuildRequires:	flightcrew-devel

Requires: python3
Requires: python3-lxml
Requires: python3-gobject3
Requires: python3-cairo

%description
Sigil is a multi-platform WYSIWYG ebook editor. It is designed to edit books in ePub format.

Now what does it have to offer...

    * Free and open source software under GPLv3
    * Multi-platform: runs on Windows, Linux and Mac
    * Full Unicode support: everything you see in Sigil is in UTF-16
    * Full EPUB spec support
    * WYSIWYG editing
    * Multiple Views: Book View, Code View and Split View
    * Metadata editor with full support for all possible metadata entries (more than 200) with full descriptions for each
    * Table Of Contents editor
    * Multi-level TOC support
    * Book View fully supports the display of any XHTML document possible under the OPS spec
    * SVG support
    * Basic XPGT support
    * Advanced automatic conversion of all imported documents to Unicode
    * Currently imports TXT, HTML and EPUB files; more will be added with time
    * Currently exports EPUB and SGF (Sigil native format); more will be added with time
    * Embedded HTML Tidy; all imported documents are thoroughly cleaned; changing views cleans the document so no matter how much you screw up your code, it will fix it (usually)
    * An actually usable user interface
    * Native C++ application
    * Bugs :)
    * And a lot more... 


%description -l de
Sigil ist ein plattformunabhängiger WYSIWYG Ebook-Editor, für das Bearbeiten von Büchern im ePub-Format.

Folgendes bietet Sigil dem Benutzer
	* Frei und OpenSource Software unter den Bedingungen der GPLv3
	* Plattformunabhängigkeit: es läuft unter Windows, Linux und Mac
	* Volle Unicode-Unterstützung: alles was Sie in Sigil sehe ist in UTF-16 codiert
	* Vollständige Unterstützung der EPUB Spezifikation
	* WYSIWYG Bearbeitung
	* Mehrere Ansichten: Buchansicht, Codeansicht und geteilte Ansicht
	* Metadateneditor mit Unterstützung für alle möglichen Metadateneinträge (mehr als 200)
	  mit vollständiger Beschreibung für jeden einzelnen
	* Editor für das Inhaltsverzeichnis
	* Unterstützung von mehreren Ebenen für das Inhaltsverzeichnis
	* Die Buchansicht unterstütz die Anzeige von jedem XHTML-Dokument
	* SVG Unterstützung
	* Grundlegende Unterstützung von XPGT
	* Fortgeschrittene automatische Konvertierung von allen importierten Dokumenten in die
	  Unicode Zeichenkodierung
	* Derzeitig werden TXT, HTML und EPUB Dateien importiert, weiter werden mit der Zeit folgen
	* Derzeitig werden Dateien in das EPUB und SGF (Sigil native format) Format exportiert.
          Weitere werden folgen.
	* Eingebettetes HTML Tidy: alle importierten Dateien werden gründlich gereinigt. Das Wechseln der
	  Ansicht säubert das Dokument, also machen Sie sich keine Sorgen das der Dokumentcode aufquillt,
	  HTML Tidy wird Ihn (wahrscheinlich) säubern.
	* Eine aktuelle und benutzbare Benutzerschnittstelle
	* reine C++ Anwendung
	* kleine Fehler :)
	* und eine Menge mehr


%prep
%setup -qn Sigil-%{version}

%cmake_qt5 -G "Unix Makefiles" \
    -DCMAKE_INSTALL_PREFIX=/usr \
    -DCMAKE_C_FLAGS:STRING="${CFLAGS}" \
    -DCMAKE_CXX_FLAGS:STRING="${CXXFLAGS}" \
    -DBUILD_PATCHED_LIBXML2=1 \
    -DCMAKE_BUILD_TYPE=Release \
    -DCMAKE_SKIP_RPATH=ON .. \
    -DUSE_SYSTEM_LIBS=ON

%make_build

%install
rm -rf %buildroot
%make_install -C build

find %{buildroot} -name 'opf_newparser.py' -exec sed -i -e 's|#!/usr/bin/env python|#!/usr/bin/env python3|g' {} \;
find %{buildroot} -name 'sanitycheck.py' -exec sed -i -e 's|#!/usr/bin/env python|#!/usr/bin/env python3|g' {} \;

# install icons for the .desktop file
install -m644 -D src/Resource_Files/icon/app_icon_16.png %{buildroot}%{_iconsdir}/hicolor/16x16/apps/%{name}.png
install -m644 -D src/Resource_Files/icon/app_icon_32.png %{buildroot}%{_iconsdir}/hicolor/32x32/apps/%{name}.png
install -m644 -D src/Resource_Files/icon/app_icon_48.png %{buildroot}%{_iconsdir}/hicolor/48x48/apps/%{name}.png
install -m644 -D src/Resource_Files/icon/app_icon_128.png %{buildroot}%{_iconsdir}/hicolor/128x128/apps/%{name}.png
install -m644 -D src/Resource_Files/icon/app_icon_256.png %{buildroot}%{_iconsdir}/hicolor/256x256/apps/%{name}.png


# create a .desktop file:
mkdir -p %{buildroot}%{_datadir}/applications

cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Type=Application
Name=Sigil
Comment=WYSIWYG ebook editor
Comment[de]=WYSIWYG Ebook-Editor
Icon=sigil
Exec=sigil %u
MimeType=application/epub+zip;
Categories=X-MandrivaLinux-Office-Publishing;
EOF

%find_lang %{name}

%clean
rm -rf %{buildroot}

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files -f %{name}.lang
%doc ChangeLog.txt README.md COPYING.txt
%{_bindir}/%{name}
%{_prefix}/lib/sigil/libsigilgumbo.so
%{_prefix}/lib/sigil/sigil
%{_datadir}/applications/sigil.desktop
%{_datadir}/icons/hicolor/128x128/apps/sigil.png
%{_datadir}/icons/hicolor/16x16/apps/sigil.png
%{_datadir}/icons/hicolor/256x256/apps/sigil.png
%{_datadir}/icons/hicolor/32x32/apps/sigil.png
%{_datadir}/icons/hicolor/48x48/apps/sigil.png
%{_datadir}/share/applications/sigil.desktop
%{_datadir}/share/pixmaps/sigil.png
%{_datadir}/share/sigil
%{_prefix}/lib/sigil/libsigilxml2.so.*
%{_prefix}/lib/sigil/libxml2.so.*


%changelog
* Sat Dec 23 2017 bb2 <bb2> - 0.9.9-2pclos2017
- add build option DBUILD_PATCHED_LIBXML2=1

* Sat Dec 23 2017 bb2 <bb2> - 0.9.9-1pclos2017
- new version

* Sun Sep 24 2017 bb2 <bb2> - 0.9.8-3pclos2017
- update from git master

* Sun Jul 16 2017 bb2 <bb2> - 0.9.8-2pclos2017
- add python3 deps

* Sun Jul 16 2017 bb2 <bb2> - 0.9.8-1pclos2017
- new version

* Sun Jun 21 2015 ghostbunny <ghostbunny at gmx dot de> 0.8.7-1pclos2015
- 0.8.7 and rebuilt for new hunspell version

